export const authConstant = {
     LOGIN_REQUEST: 'LOGIN_REQUEST',
     LOGIN_SUCCESS: 'LOGIN_SUCCESS',
     LOGIN_FAILURE: 'LOGIN_FAILURE',
     LOGOUT_REQUEST: 'LOGOUT_REQUEST',
     LOGOUT_SUCCESS: 'LOGOUT_SUCCESS',
     LOGOUT_FAILURE: 'LOGOUT_FAILURE'
}


export const userConstant = {
     USER_REGISTER_REQUEST: 'USER_REGISTER_REQUEST',
     USER_REGISTER_SUCCESS: 'USER_REGISTER_SUCCESS',
     USER_REGISTER_FAILURE: 'USER_REGISTER_FAILURE',
     // LOGOUT_REQUEST:'LOGOUT_REQUEST',
}

export const categoryConstant = {
     GET_ALL_CATEGORIES_REQUEST: 'GET_ALL_CATEGORIES_REQUEST',
     GET_ALL_CATEGORIES_SUCCESS: 'GET_ALL_CATEGORIES_SUCCESS',
     GET_ALL_CATEGORIES_FAILURE: 'GET_ALL_CATEGORIES_FAILURE',


     ADD_NEW_CATEGORY_REQUEST:'ADD_NEW_CATEGORY_REQUEST',
     ADD_NEW_CATEGORY_SUCCESS:'ADD_NEW_CATEGORY_SUCCESS',
     ADD_NEW_CATEGORY_FAILURE:'ADD_NEW_CATEGORY_FAILURE'
     
}

export const productConstant = {
     GET_PRODUCTS_BY_SLUG_REQUEST: 'GET_PRODUCTS_BY_SLUG_REQUEST',
     GET_PRODUCTS_BY_SLUG_SUCCESS: 'GET_PRODUCTS_BY_SLUG_SUCCESS',
     GET_PRODUCTS_BY_SLUG_FAILURE: 'GET_PRODUCTS_BY_SLUG_FAILURE',
}


export const initialDataConstant = {
     GET_ALL_INITIAL_DATA_REQUEST: 'GET_ALL_INITIAL_DATA_REQUEST',
     GET_ALL_INITIAL_DATA_SUCCESS: 'GET_ALL_INITIAL_DATA_SUCCESS',
     GET_ALL_INITIAL_DATA_FAILURE: 'GET_ALL_INITIAL_DATA_FAILURE',
}



